import os

base_dir = os.path.abspath(os.path.dirname(__file__))

broken_nav = '<li><a class="nav-link formatless" href="4Newbies.php.html">Di</a></li>'
fixed_nav = '<li><a class="nav-link formatless" href="4Newbies.php.html">Neofiti</a></li>'

def fix_nav_label(file_path):
    print(f"\n🔍 Controllo file: {file_path}")
    try:
        with open(file_path, 'r', encoding='utf-8') as f:
            content = f.read()

        if broken_nav not in content:
            print("✅ Nessuna modifica necessaria.")
            return

        updated_content = content.replace(broken_nav, fixed_nav)

        with open(file_path, 'w', encoding='utf-8') as f:
            f.write(updated_content)

        print("✅ Etichetta menu corretta con successo.")

    except Exception as e:
        print(f"❌ Errore nel file {file_path}: {e}")

def scan_and_fix_nav(directory):
    total = 0
    fixed = 0
    for root, _, files in os.walk(directory):
        for filename in files:
            if filename.endswith('.html'):
                file_path = os.path.join(root, filename)
                total += 1
                with open(file_path, 'r', encoding='utf-8') as f:
                    if broken_nav in f.read():
                        fix_nav_label(file_path)
                        fixed += 1
                    else:
                        print(f"\n🔍 Controllo file: {file_path}")
                        print("✅ Nessuna modifica necessaria.")

    print(f"\n📊 Totale file analizzati: {total}")
    print(f"🛠️  Totale file corretti: {fixed}")

if __name__ == '__main__':
    print("🔧 Avvio sostituzione etichetta" + broken_nav + "con" + fixed_nav)
    scan_and_fix_nav(base_dir)
    print("\n✅ Procedura completata.")
