import os

base_dir = os.path.abspath(os.path.dirname(__file__))

target_line = '<div class="day-night center"><b aria-hidden="true">☼</b></div>'
broken_line = '<div class="day-night center"><b aria-hidden="true"></b></div>'

def fix_broken_icon(file_path):
    print(f"\n🔍 Controllo file: {file_path}")
    try:
        with open(file_path, 'r', encoding='utf-8') as f:
            content = f.read()

        if broken_line not in content:
            print("✅ Nessuna modifica necessaria.")
            return

        updated_content = content.replace(broken_line, target_line)

        with open(file_path, 'w', encoding='utf-8') as f:
            f.write(updated_content)

        print("✅ Riga corretta con successo.")

    except Exception as e:
        print(f"❌ Errore durante la correzione di {file_path}: {e}")

def scan_and_fix_all_html(directory):
    total = 0
    fixed = 0
    for root, _, files in os.walk(directory):
        for filename in files:
            if filename.endswith('.html'):
                file_path = os.path.join(root, filename)
                total += 1
                with open(file_path, 'r', encoding='utf-8') as f:
                    if broken_line in f.read():
                        fix_broken_icon(file_path)
                        fixed += 1
                    else:
                        print(f"\n🔍 Controllo file: {file_path}")
                        print("✅ Nessuna modifica necessaria.")

    print(f"\n📊 Totale file analizzati: {total}")
    print(f"🛠️  Totale file corretti: {fixed}")

if __name__ == '__main__':
    print("🔧 Avvio correzione del carattere ☼ nei file HTML...")
    scan_and_fix_all_html(base_dir)
    print("\n✅ Procedura completata.")
