import os

base_dir = os.path.abspath(os.path.dirname(__file__))

def fix_doctype(file_path):
    print(f"\n📄 Controllo file: {file_path}")
    try:
        with open(file_path, 'r', encoding='utf-8') as f:
            lines = f.readlines()

        if not lines:
            print("⚠️  File vuoto. Nessuna azione.")
            return

        first_line = lines[0].strip().lower()
        if first_line == '<!doctype html>':
            print("✅ DOCTYPE già corretto. Nessuna modifica.")
            return

        print(f"⚠️  DOCTYPE non corretto (trovato: '{lines[0].strip()}'). Procedo con la correzione...")
        lines.insert(0, '<!DOCTYPE html>\n')
        if lines[1].strip().lower() == 'html':
            print("🧹 Rimuovo riga errata 'html'")
            del lines[1]

        with open(file_path, 'w', encoding='utf-8') as f:
            f.writelines(lines)

        print("✅ DOCTYPE corretto con successo.")

    except Exception as e:
        print(f"❌ Errore durante la correzione di {file_path}: {e}")

def scan_and_fix_doctype(directory):
    total = 0
    for root, _, files in os.walk(directory):
        for filename in files:
            if filename.endswith('.html'):
                file_path = os.path.join(root, filename)
                fix_doctype(file_path)
                total += 1

    print(f"\n📊 Operazione completata. Totale file analizzati: {total}")

if __name__ == '__main__':
    print("🔧 Avvio procedura di verifica e correzione DOCTYPE...\n")
    scan_and_fix_doctype(base_dir)
    print("\n✅ Tutti i file HTML sono stati controllati.")
